import Vue from 'vue'
import init from 'test/unit/init'
import { TestUtil } from 'vue-client'

describe('src/App: 主应用', () => {
  let vm = null
  before(async function() {
    init()
    // 登录
    let path = `/rs/user/liaoning/1/手机服务`
    let ret = await Vue.resetget(path)
    console.log(JSON.stringify(ret.data))
    // 设置jwt
    Vue.$login = {jwt: ret.data.id}
  })

  it.only('加载后台配置', async function() {
    let result = await Vue.resetget(`/phone/rs/vue`,
      {data: {}},
      {resolveMsg: null, rejectMsg: null})
    console.log('后台配置：', JSON.stringify(result.data))
  })
})
